Snag Docs logo

Get questions for a loyalty rule

This endpoint allows you to fetch questions for a loyalty rule.

GEThttps://admin.snagsolutions.io/api/loyalty/questions

This endpoint allows you to fetch questions for a loyalty rule.

Loading code example
Loading code example

Authorizations

apiKeyAuthstringheaderrequired

API key passed in the header.

Query Parameters

loyaltyRuleIdsanyrequired

UUID of the loyalty rule to fetch questions for

websiteIdstring<uuid>

UUID of the website to fetch questions for

organizationIdstring<uuid>

UUID of the organization to fetch questions for

userIdstring<uuid>

UUID of the user to fetch questions for

limitintegerdefault: 10

Maximum number of records to return (max 100)

Required range: x >= 1, x <= 100
Default: 10
startingAfterstring<uuid>

Pagination cursor to start after a specific resource ID

Response

application/json

200

dataarray<object>required
data.idstring<uuid>required
data.textstringrequired
data.loyaltyQuestionChoicesarray<object>required
hasNextPagebooleanrequired